/recordings
curl --request GET \
--url https://api.daily.co/v1/recordings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.daily.co/v1/recordings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.daily.co/v1/recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 3,
"data": [
{
"id": "bfd0c52b-3a2a-4269-80ce-cae9eef55536",
"start_ts": 1548790974,
"status": "in-progress",
"max_participants": 2,
"share_token": "NcWgEiJuqD8v",
"s3key": "mydomain/test-recording-room/11245260397",
"mtgSessionId": "411c96b4-c13b-4f35-b639-4fda02863743"
},
{
"id": "0cb313e1-211f-4be0-833d-8c7305b19902",
"start_ts": 1548789650,
"status": "finished",
"max_participants": 2,
"duration": 277,
"share_token": "TivXjlD22QQt",
"s3key": "mydomain/test-recording-room/277255707741,",
"mtgSessionId": "1117a5d8-f6c4-4ff5-a9ec-2a324666f0da"
},
{
"id": "89a4a0a4-03cf-454f-b874-e83d91b0296f",
"start_ts": 1548788621,
"status": "finished",
"max_participants": 1,
"duration": 53,
"share_token": "QehWXiO2zMMf",
"s3key": "mydomain/test-recording-room/11245260397,",
"mtgSessionId": "257764e6-c74e-4c30-944a-a887a03173a3,"
}
]
}{
"error": "invalid-request-error",
"info": "missing required field"
}Recordings
List Recordings
List recordings
GET
/
recordings
/recordings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I